function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    function capacitorIncrement() {
        var maxMetal = capMetal;
        var maxWood = capWood;
        var maxMud = capMud;
        capMetal += metalPowerPerInterval;
        capWood += woodPowerPerInterval;
        capMud += mudPowerPerInterval;
        capTotalStore = capMetal + capWood + capMud;
        capOat += oatPowerPerInterval;
        $.capMetalLabelVal.text = capMetal.toString();
        $.capWoodLabelVal.text = capWood.toString();
        $.capMudLabelVal.text = capMud.toString();
        $.capOatLabelVal.text = capOat.toString();
        capOat >= capGarnet && ($.capOatLabelVal.text = capGarnet.toString());
        if (capTotalStore >= capStore) {
            capMetal = maxMetal;
            capWood = maxWood;
            capMud = maxMud;
        }
    }
    function bClicked(e) {
        var theSourceID = e.source.id;
        var itemName = e.source.itemName;
        switch (theSourceID) {
          case "b1":
            var theV = Number(bv1) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv1) + 1;
                timeroutDone = 1e3 * theV;
                bv1++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalOatPro += bv1;
                        oatPower = 300 * totalOatPro;
                        oatPowerPerInterval = oatPower / bySeconds;
                        $.proOatLabelVal.text = oatPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b2":
            var theV = Number(bv2) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv2) + 1;
                timeroutDone = 1e3 * theV;
                bv2++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalWoodPro += bv2;
                        woodPower = 300 * totalWoodPro;
                        woodPowerPerInterval = woodPower / bySeconds;
                        $.proWoodLabelVal.text = woodPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b3":
            var theV = Number(bv3) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv3) + 1;
                timeroutDone = 1e3 * theV;
                bv3++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalMetalPro += bv3;
                        metalPower = 300 * totalMetalPro;
                        metalPowerPerInterval = metalPower / bySeconds;
                        $.proMetalLabelVal.text = metalPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b4":
            var theV = Number(bv4) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv4) + 1;
                timeroutDone = 1e3 * theV;
                bv4++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalMetalPro += bv4;
                        metalPower = 300 * totalMetalPro;
                        metalPowerPerInterval = metalPower / bySeconds;
                        $.proMetalLabelVal.text = metalPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b5":
            var theV = Number(bv5) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv5) + 1;
                timeroutDone = 1e3 * theV;
                bv5++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalOatPro += bv5;
                        oatPower = 300 * totalOatPro;
                        oatPowerPerInterval = oatPower / bySeconds;
                        $.proOatLabelVal.text = oatPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b6":
            var theV = Number(bv6) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv6) + 1;
                timeroutDone = 1e3 * theV;
                bv6++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalMudPro += bv6;
                        mudPower = 300 * totalMudPro;
                        mudPowerPerInterval = mudPower / bySeconds;
                        $.proMudLabelVal.text = mudPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b7":
            var theV = Number(bv7) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv7) + 1;
                timeroutDone = 1e3 * theV;
                bv7++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalWoodPro += bv7;
                        woodPower = 300 * totalWoodPro;
                        woodPowerPerInterval = woodPower / bySeconds;
                        $.proWoodLabelVal.text = woodPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b8":
            var theV = Number(bv8) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv8) + 1;
                timeroutDone = 1e3 * theV;
                bv8++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalMudPro += bv8;
                        mudPower = 300 * totalMudPro;
                        mudPowerPerInterval = mudPower / bySeconds;
                        $.proMudLabelVal.text = mudPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b9":
            var theV = Number(bv9) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv9) + 1;
                timeroutDone = 1e3 * theV;
                bv9++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalOatPro += bv9;
                        oatPower = 300 * totalOatPro;
                        oatPowerPerInterval = oatPower / bySeconds;
                        $.proOatLabelVal.text = oatPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b10":
            var theV = Number(bv10) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv10) + 1;
                timeroutDone = 1e3 * theV;
                bv10++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalOatPro += bv10;
                        oatPower = 300 * totalOatPro;
                        oatPowerPerInterval = oatPower / bySeconds;
                        $.proOatLabelVal.text = oatPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b11":
            var theV = Number(bv11) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv11) + 1;
                timeroutDone = 1e3 * theV;
                bv11++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalMetalPro += bv11;
                        metalPower = 300 * totalMetalPro;
                        metalPowerPerInterval = metalPower / bySeconds;
                        $.proMetalLabelVal.text = metalPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b12":
            var theV = Number(bv12) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv12) + 1;
                timeroutDone = 1e3 * theV;
                bv12++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalWoodPro += bv12;
                        woodPower = 300 * totalWoodPro;
                        woodPowerPerInterval = woodPower / bySeconds;
                        $.proWoodLabelVal.text = woodPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b13":
            var theV = Number(bv13) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv13) + 1;
                timeroutDone = 1e3 * theV;
                bv13++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalMudPro += bv13;
                        mudPower = 300 * totalMudPro;
                        mudPowerPerInterval = mudPower / bySeconds;
                        $.proMudLabelVal.text = mudPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b14":
            var theV = Number(bv14) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv14) + 1;
                timeroutDone = 1e3 * theV;
                bv14++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalMudPro += bv14;
                        mudPower = 300 * totalMudPro;
                        mudPowerPerInterval = mudPower / bySeconds;
                        $.proMudLabelVal.text = mudPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b15":
            var theV = Number(bv15) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv15) + 1;
                timeroutDone = 1e3 * theV;
                bv15++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalMetalPro += bv15;
                        metalPower = 300 * totalMetalPro;
                        metalPowerPerInterval = metalPower / bySeconds;
                        $.proMetalLabelVal.text = metalPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b16":
            var theV = Number(bv16) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv16) + 1;
                timeroutDone = 1e3 * theV;
                bv16++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalWoodPro += bv16;
                        woodPower = 300 * totalWoodPro;
                        woodPowerPerInterval = woodPower / bySeconds;
                        $.proWoodLabelVal.text = woodPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b17":
            var theV = Number(bv17) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv17) + 1;
                timeroutDone = 1e3 * theV;
                bv17++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalOatPro += bv17;
                        oatPower = 300 * totalOatPro;
                        oatPowerPerInterval = oatPower / bySeconds;
                        $.proOatLabelVal.text = oatPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
            break;

          case "b18":
            var theV = Number(bv18) + 1;
            var timeroutDone = 1e3;
            var didP = false;
            var v = Titanium.UI.createView({
                backgroundColor: "#ffffff",
                width: "300dp",
                height: "120dp",
                borderColor: "#000",
                borderWidth: 3,
                borderRadius: 10,
                zIndex: 1
            });
            var l = Titanium.UI.createLabel({
                textAlign: "center",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                top: "5dp",
                bottom: "55dp",
                color: "#000",
                text: "Upgrade " + itemName + " to level " + theV
            });
            var p = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/correct.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                left: "25dp"
            });
            var c = Titanium.UI.createButton({
                width: "45dp",
                height: "45dp",
                backgroundImage: "/images/close.png",
                backgroundSelectedImage: "none",
                bottom: "3dp",
                right: "25dp"
            });
            p.addEventListener("click", function() {
                didP = true;
                theV = Number(bv18) + 1;
                timeroutDone = 1e3 * theV;
                bv18++;
                this.backgroundImage = "/images/plus.png";
                l.text = "Upgrade " + itemName + " to level " + theV;
            });
            c.addEventListener("click", function() {
                if (true === didP) {
                    setTimeout(function() {
                        e.source.title = theV.toString();
                        totalOatPro += bv18;
                        oatPower = 300 * totalOatPro;
                        oatPowerPerInterval = oatPower / bySeconds;
                        $.proOatLabelVal.text = oatPower.toString();
                    }, timeroutDone);
                }
                $.stage1.remove(v);
            });
            v.add(l);
            v.add(p);
            v.add(c);
            $.stage1.add(v);
        }
    }
    function infoFunction() {
        alert("You cannot save results in this version, experience the concept of Tatar War Mini Game to prepare yourself for the war in the next update");
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "stage1";
    if (arguments[0]) {
        {
            __processArg(arguments[0], "__parentSymbol");
        }
        {
            __processArg(arguments[0], "$model");
        }
        {
            __processArg(arguments[0], "__itemTemplate");
        }
    }
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.stage1 = Ti.UI.createWindow({
        backgroundColor: "#333",
        fullscreen: false,
        navBarHidden: true,
        exitOnClose: true,
        orientationModes: [ Ti.UI.PORTRAIT ],
        id: "stage1"
    });
    $.__views.stage1 && $.addTopLevelView($.__views.stage1);
    $.__views.header = Ti.UI.createView({
        height: "82dp",
        top: 0,
        backgroundImage: "/images/ribbon.png",
        id: "header"
    });
    $.__views.stage1.add($.__views.header);
    $.__views.info = Ti.UI.createButton({
        title: "?",
        textAlign: "center",
        width: "50dp",
        height: "50dp",
        top: "18dp",
        right: "25dp",
        color: "#FFFF00",
        backgroundImage: "/images/redbutton.png",
        backgroundSelectedImage: "none",
        font: {
            fontSize: "25sp",
            fontWeight: "bold"
        },
        id: "info"
    });
    $.__views.header.add($.__views.info);
    infoFunction ? $.__views.info.addEventListener("click", infoFunction) : __defers["$.__views.info!click!infoFunction"] = true;
    $.__views.threewariors = Ti.UI.createButton({
        width: "84dp",
        height: "61dp",
        top: "3dp",
        backgroundImage: "/images/threewariors.png",
        backgroundSelectedImage: "none",
        id: "threewariors"
    });
    $.__views.header.add($.__views.threewariors);
    infoFunction ? $.__views.threewariors.addEventListener("click", infoFunction) : __defers["$.__views.threewariors!click!infoFunction"] = true;
    $.__views.gameTitle = Ti.UI.createLabel({
        width: "105dp",
        height: "21dp",
        color: "#FFFF00",
        left: "8dp",
        top: "36dp",
        font: {
            fontWeight: "bold"
        },
        text: "Tatar War",
        id: "gameTitle"
    });
    $.__views.header.add($.__views.gameTitle);
    $.__views.containerVertical = Ti.UI.createView({
        top: "88dp",
        bottom: "55dp",
        layout: "vertical",
        id: "containerVertical"
    });
    $.__views.stage1.add($.__views.containerVertical);
    $.__views.productionView = Ti.UI.createView({
        top: "1dp",
        height: "90dp",
        id: "productionView"
    });
    $.__views.containerVertical.add($.__views.productionView);
    var __alloyId1 = [];
    $.__views.__alloyId2 = Ti.UI.createTableViewSection({
        headerTitle: "Capacity And Assets",
        id: "__alloyId2"
    });
    __alloyId1.push($.__views.__alloyId2);
    $.__views.__alloyId3 = Ti.UI.createTableViewRow({
        leftImage: "/images/store.png",
        id: "__alloyId3"
    });
    __alloyId1.push($.__views.__alloyId3);
    $.__views.__alloyId4 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Store",
        id: "__alloyId4"
    });
    $.__views.__alloyId3.add($.__views.__alloyId4);
    $.__views.capStoreLabelVal = Ti.UI.createLabel({
        right: "5dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "110000",
        id: "capStoreLabelVal"
    });
    $.__views.__alloyId3.add($.__views.capStoreLabelVal);
    $.__views.__alloyId5 = Ti.UI.createTableViewRow({
        leftImage: "/images/wood.png",
        id: "__alloyId5"
    });
    __alloyId1.push($.__views.__alloyId5);
    $.__views.__alloyId6 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Wood",
        id: "__alloyId6"
    });
    $.__views.__alloyId5.add($.__views.__alloyId6);
    $.__views.capWoodLabelVal = Ti.UI.createLabel({
        right: "5dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "500",
        id: "capWoodLabelVal"
    });
    $.__views.__alloyId5.add($.__views.capWoodLabelVal);
    $.__views.__alloyId7 = Ti.UI.createTableViewRow({
        leftImage: "/images/mud.png",
        id: "__alloyId7"
    });
    __alloyId1.push($.__views.__alloyId7);
    $.__views.__alloyId8 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Mud",
        id: "__alloyId8"
    });
    $.__views.__alloyId7.add($.__views.__alloyId8);
    $.__views.capMudLabelVal = Ti.UI.createLabel({
        right: "5dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "500",
        id: "capMudLabelVal"
    });
    $.__views.__alloyId7.add($.__views.capMudLabelVal);
    $.__views.__alloyId9 = Ti.UI.createTableViewRow({
        leftImage: "/images/metal.png",
        id: "__alloyId9"
    });
    __alloyId1.push($.__views.__alloyId9);
    $.__views.__alloyId10 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Metal",
        id: "__alloyId10"
    });
    $.__views.__alloyId9.add($.__views.__alloyId10);
    $.__views.capMetalLabelVal = Ti.UI.createLabel({
        right: "5dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "500",
        id: "capMetalLabelVal"
    });
    $.__views.__alloyId9.add($.__views.capMetalLabelVal);
    $.__views.__alloyId11 = Ti.UI.createTableViewRow({
        leftImage: "/images/garnet.png",
        id: "__alloyId11"
    });
    __alloyId1.push($.__views.__alloyId11);
    $.__views.__alloyId12 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Garnet",
        id: "__alloyId12"
    });
    $.__views.__alloyId11.add($.__views.__alloyId12);
    $.__views.capGarnetLabelVal = Ti.UI.createLabel({
        right: "5dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "110000",
        id: "capGarnetLabelVal"
    });
    $.__views.__alloyId11.add($.__views.capGarnetLabelVal);
    $.__views.__alloyId13 = Ti.UI.createTableViewRow({
        leftImage: "/images/oat.png",
        id: "__alloyId13"
    });
    __alloyId1.push($.__views.__alloyId13);
    $.__views.__alloyId14 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Oat",
        id: "__alloyId14"
    });
    $.__views.__alloyId13.add($.__views.__alloyId14);
    $.__views.capOatLabelVal = Ti.UI.createLabel({
        right: "5dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "500",
        id: "capOatLabelVal"
    });
    $.__views.__alloyId13.add($.__views.capOatLabelVal);
    $.__views.__alloyId15 = Ti.UI.createTableViewRow({
        leftImage: "/images/oatConsumed.png",
        id: "__alloyId15"
    });
    __alloyId1.push($.__views.__alloyId15);
    $.__views.__alloyId16 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Oat Consumption",
        id: "__alloyId16"
    });
    $.__views.__alloyId15.add($.__views.__alloyId16);
    $.__views.capOatConsumption = Ti.UI.createLabel({
        right: "5dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "0",
        id: "capOatConsumption"
    });
    $.__views.__alloyId15.add($.__views.capOatConsumption);
    $.__views.__alloyId17 = Ti.UI.createTableViewSection({
        headerTitle: "Production Ability",
        id: "__alloyId17"
    });
    __alloyId1.push($.__views.__alloyId17);
    $.__views.__alloyId18 = Ti.UI.createTableViewRow({
        leftImage: "/images/wood.png",
        id: "__alloyId18"
    });
    __alloyId1.push($.__views.__alloyId18);
    $.__views.__alloyId19 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Wood",
        id: "__alloyId19"
    });
    $.__views.__alloyId18.add($.__views.__alloyId19);
    $.__views.proWoodLabelVal = Ti.UI.createLabel({
        right: "55dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "300",
        id: "proWoodLabelVal"
    });
    $.__views.__alloyId18.add($.__views.proWoodLabelVal);
    $.__views.__alloyId20 = Ti.UI.createLabel({
        right: "5dp",
        width: "50dp",
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "white",
        text: "Per Hour",
        id: "__alloyId20"
    });
    $.__views.__alloyId18.add($.__views.__alloyId20);
    $.__views.__alloyId21 = Ti.UI.createTableViewRow({
        leftImage: "/images/mud.png",
        id: "__alloyId21"
    });
    __alloyId1.push($.__views.__alloyId21);
    $.__views.__alloyId22 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Mud",
        id: "__alloyId22"
    });
    $.__views.__alloyId21.add($.__views.__alloyId22);
    $.__views.proMudLabelVal = Ti.UI.createLabel({
        right: "55dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "300",
        id: "proMudLabelVal"
    });
    $.__views.__alloyId21.add($.__views.proMudLabelVal);
    $.__views.__alloyId23 = Ti.UI.createLabel({
        right: "5dp",
        width: "50dp",
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "white",
        text: "Per Hour",
        id: "__alloyId23"
    });
    $.__views.__alloyId21.add($.__views.__alloyId23);
    $.__views.__alloyId24 = Ti.UI.createTableViewRow({
        leftImage: "/images/metal.png",
        id: "__alloyId24"
    });
    __alloyId1.push($.__views.__alloyId24);
    $.__views.__alloyId25 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Metal",
        id: "__alloyId25"
    });
    $.__views.__alloyId24.add($.__views.__alloyId25);
    $.__views.proMetalLabelVal = Ti.UI.createLabel({
        right: "55dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "300",
        id: "proMetalLabelVal"
    });
    $.__views.__alloyId24.add($.__views.proMetalLabelVal);
    $.__views.__alloyId26 = Ti.UI.createLabel({
        right: "5dp",
        width: "50dp",
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "white",
        text: "Per Hour",
        id: "__alloyId26"
    });
    $.__views.__alloyId24.add($.__views.__alloyId26);
    $.__views.__alloyId27 = Ti.UI.createTableViewRow({
        leftImage: "/images/oat.png",
        id: "__alloyId27"
    });
    __alloyId1.push($.__views.__alloyId27);
    $.__views.__alloyId28 = Ti.UI.createLabel({
        left: "5dp",
        width: Ti.UI.SIZE,
        height: "15dp",
        textAlign: "left",
        font: {
            fontSize: "10sp",
            fontWeight: "bold"
        },
        color: "white",
        text: "Oat",
        id: "__alloyId28"
    });
    $.__views.__alloyId27.add($.__views.__alloyId28);
    $.__views.proOatLabelVal = Ti.UI.createLabel({
        right: "55dp",
        left: "10dp",
        width: Ti.UI.FILL,
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "#FFFF00",
        text: "300",
        id: "proOatLabelVal"
    });
    $.__views.__alloyId27.add($.__views.proOatLabelVal);
    $.__views.__alloyId29 = Ti.UI.createLabel({
        right: "5dp",
        width: "50dp",
        height: "15dp",
        textAlign: "right",
        font: {
            fontSize: "10sp"
        },
        color: "white",
        text: "Per Hour",
        id: "__alloyId29"
    });
    $.__views.__alloyId27.add($.__views.__alloyId29);
    $.__views.__alloyId0 = Ti.UI.createTableView({
        data: __alloyId1,
        maxRowHeight: "20dp",
        minRowHeight: "15dp",
        id: "__alloyId0"
    });
    $.__views.productionView.add($.__views.__alloyId0);
    $.__views.villageView = Ti.UI.createView({
        width: "300dp",
        height: "264dp",
        top: "3dp",
        backgroundImage: "/images/village.png",
        id: "villageView"
    });
    $.__views.containerVertical.add($.__views.villageView);
    $.__views.bCenter = Ti.UI.createButton({
        width: "75dp",
        height: "48dp",
        backgroundImage: "none",
        backgroundSelectedImage: "/images/b.png",
        backgroundColor: "transparent",
        backgroundSelectedColor: "transparent",
        top: "106dp",
        left: "106dp",
        id: "bCenter"
    });
    $.__views.villageView.add($.__views.bCenter);
    $.__views.b1 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b1",
        top: "21dp",
        left: "155dp",
        itemName: "oat"
    });
    $.__views.villageView.add($.__views.b1);
    bClicked ? $.__views.b1.addEventListener("click", bClicked) : __defers["$.__views.b1!click!bClicked"] = true;
    $.__views.b2 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b2",
        top: "35dp",
        left: "216dp",
        itemName: "wood"
    });
    $.__views.villageView.add($.__views.b2);
    bClicked ? $.__views.b2.addEventListener("click", bClicked) : __defers["$.__views.b2!click!bClicked"] = true;
    $.__views.b3 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b3",
        top: "76dp",
        left: "252dp",
        itemName: "metal"
    });
    $.__views.villageView.add($.__views.b3);
    bClicked ? $.__views.b3.addEventListener("click", bClicked) : __defers["$.__views.b3!click!bClicked"] = true;
    $.__views.b4 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b4",
        top: "134dp",
        left: "260dp",
        itemName: "metal"
    });
    $.__views.villageView.add($.__views.b4);
    bClicked ? $.__views.b4.addEventListener("click", bClicked) : __defers["$.__views.b4!click!bClicked"] = true;
    $.__views.b5 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b5",
        top: "188dp",
        left: "229dp",
        itemName: "oat"
    });
    $.__views.villageView.add($.__views.b5);
    bClicked ? $.__views.b5.addEventListener("click", bClicked) : __defers["$.__views.b5!click!bClicked"] = true;
    $.__views.b6 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b6",
        top: "222dp",
        left: "181dp",
        itemName: "mud"
    });
    $.__views.villageView.add($.__views.b6);
    bClicked ? $.__views.b6.addEventListener("click", bClicked) : __defers["$.__views.b6!click!bClicked"] = true;
    $.__views.b7 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b7",
        top: "218dp",
        left: "131dp",
        itemName: "wood"
    });
    $.__views.villageView.add($.__views.b7);
    bClicked ? $.__views.b7.addEventListener("click", bClicked) : __defers["$.__views.b7!click!bClicked"] = true;
    $.__views.b8 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b8",
        top: "206dp",
        left: "78dp",
        itemName: "mud"
    });
    $.__views.villageView.add($.__views.b8);
    bClicked ? $.__views.b8.addEventListener("click", bClicked) : __defers["$.__views.b8!click!bClicked"] = true;
    $.__views.b9 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b9",
        top: "160dp",
        left: "32dp",
        itemName: "oat"
    });
    $.__views.villageView.add($.__views.b9);
    bClicked ? $.__views.b9.addEventListener("click", bClicked) : __defers["$.__views.b9!click!bClicked"] = true;
    $.__views.b10 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b10",
        top: "106dp",
        left: "22dp",
        itemName: "oat"
    });
    $.__views.villageView.add($.__views.b10);
    bClicked ? $.__views.b10.addEventListener("click", bClicked) : __defers["$.__views.b10!click!bClicked"] = true;
    $.__views.b11 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b11",
        top: "54dp",
        left: "36dp",
        itemName: "metal"
    });
    $.__views.villageView.add($.__views.b11);
    bClicked ? $.__views.b11.addEventListener("click", bClicked) : __defers["$.__views.b11!click!bClicked"] = true;
    $.__views.b12 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b12",
        top: "21dp",
        left: "92dp",
        itemName: "wood"
    });
    $.__views.villageView.add($.__views.b12);
    bClicked ? $.__views.b12.addEventListener("click", bClicked) : __defers["$.__views.b12!click!bClicked"] = true;
    $.__views.b13 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b13",
        top: "62dp",
        left: "129dp",
        itemName: "mud"
    });
    $.__views.villageView.add($.__views.b13);
    bClicked ? $.__views.b13.addEventListener("click", bClicked) : __defers["$.__views.b13!click!bClicked"] = true;
    $.__views.b14 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b14",
        top: "82dp",
        left: "195dp",
        itemName: "mud"
    });
    $.__views.villageView.add($.__views.b14);
    bClicked ? $.__views.b14.addEventListener("click", bClicked) : __defers["$.__views.b14!click!bClicked"] = true;
    $.__views.b15 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b15",
        top: "130dp",
        left: "204dp",
        itemName: "metal"
    });
    $.__views.villageView.add($.__views.b15);
    bClicked ? $.__views.b15.addEventListener("click", bClicked) : __defers["$.__views.b15!click!bClicked"] = true;
    $.__views.b16 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b16",
        top: "173dp",
        left: "150dp",
        itemName: "wood"
    });
    $.__views.villageView.add($.__views.b16);
    bClicked ? $.__views.b16.addEventListener("click", bClicked) : __defers["$.__views.b16!click!bClicked"] = true;
    $.__views.b17 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b17",
        top: "152dp",
        left: "83dp",
        itemName: "oat"
    });
    $.__views.villageView.add($.__views.b17);
    bClicked ? $.__views.b17.addEventListener("click", bClicked) : __defers["$.__views.b17!click!bClicked"] = true;
    $.__views.b18 = Ti.UI.createButton({
        width: "24dp",
        height: "24dp",
        backgroundImage: "/images/b.png",
        backgroundSelectedImage: "/images/redbutton.png",
        color: "#000",
        font: {
            fontSize: "10sp"
        },
        id: "b18",
        top: "100dp",
        left: "73dp",
        itemName: "oat"
    });
    $.__views.villageView.add($.__views.b18);
    bClicked ? $.__views.b18.addEventListener("click", bClicked) : __defers["$.__views.b18!click!bClicked"] = true;
    $.__views.scrollCharView = Ti.UI.createScrollView({
        bottom: "1dp",
        width: "300dp",
        height: "50dp",
        backgroundImage: "/images/frame.png",
        layout: "horizontal",
        contentHeight: "50dp",
        showHorizontalScrollIndicator: true,
        id: "scrollCharView"
    });
    $.__views.stage1.add($.__views.scrollCharView);
    exports.destroy = function() {};
    _.extend($, $.__views);
    arguments[0] || {};
    $.stage1.addEventListener("open", function() {
        this.activity.actionBar.hide();
        for (var i = 1; 11 > i; i++) {
            var arabImg = Titanium.UI.createImageView({
                image: "/images/char/arab/" + i + ".png",
                height: "40dp",
                width: "40dp",
                left: "5dp",
                borderRadius: 10
            }), germanImg = Titanium.UI.createImageView({
                image: "/images/char/german/" + i + ".png",
                height: "40dp",
                width: "40dp",
                left: "5dp",
                borderRadius: 10
            }), greekImg = Titanium.UI.createImageView({
                image: "/images/char/greek/" + i + ".png",
                height: "40dp",
                width: "40dp",
                left: "5dp",
                borderRadius: 10
            }), magolImg = Titanium.UI.createImageView({
                image: "/images/char/magol/" + i + ".png",
                height: "40dp",
                width: "40dp",
                left: "5dp",
                borderRadius: 10
            }), romanImg = Titanium.UI.createImageView({
                image: "/images/char/roman/" + i + ".png",
                height: "40dp",
                width: "40dp",
                left: "5dp",
                borderRadius: 10
            });
            arabImg.addEventListener("click", function() {
                var bigImage = Titanium.UI.createImageView({
                    image: this.image,
                    width: "120dp",
                    height: Ti.UI.SIZE,
                    bottom: "55dp"
                });
                bigImage.addEventListener("click", function() {
                    $.stage1.remove(this);
                });
                $.stage1.add(bigImage);
            });
            germanImg.addEventListener("click", function() {
                var bigImage = Titanium.UI.createImageView({
                    image: this.image,
                    width: "120dp",
                    height: Ti.UI.SIZE,
                    bottom: "55dp"
                });
                bigImage.addEventListener("click", function() {
                    $.stage1.remove(this);
                });
                $.stage1.add(bigImage);
            });
            greekImg.addEventListener("click", function() {
                var bigImage = Titanium.UI.createImageView({
                    image: this.image,
                    width: "120dp",
                    height: Ti.UI.SIZE,
                    bottom: "55dp"
                });
                bigImage.addEventListener("click", function() {
                    $.stage1.remove(this);
                });
                $.stage1.add(bigImage);
            });
            magolImg.addEventListener("click", function() {
                var bigImage = Titanium.UI.createImageView({
                    image: this.image,
                    width: "120dp",
                    height: Ti.UI.SIZE,
                    bottom: "55dp"
                });
                bigImage.addEventListener("click", function() {
                    $.stage1.remove(this);
                });
                $.stage1.add(bigImage);
            });
            romanImg.addEventListener("click", function() {
                var bigImage = Titanium.UI.createImageView({
                    image: this.image,
                    width: "120dp",
                    height: Ti.UI.SIZE,
                    bottom: "55dp"
                });
                bigImage.addEventListener("click", function() {
                    $.stage1.remove(this);
                });
                $.stage1.add(bigImage);
            });
            $.scrollCharView.add(arabImg);
            $.scrollCharView.add(germanImg);
            $.scrollCharView.add(greekImg);
            $.scrollCharView.add(magolImg);
            $.scrollCharView.add(romanImg);
        }
    });
    var bv1 = bv2 = bv3 = bv4 = bv5 = bv6 = bv7 = bv8 = bv9 = bv10 = bv11 = bv12 = bv13 = bv14 = bv15 = bv16 = bv17 = bv18 = 0, proWood = proMud = proMetal = proOat = 300, capWood = capMud = capMetal = capOat = 1e3, capGarnet = capStore = 11e3, capOatConsumption = 0;
    $.capStoreLabelVal.text = capStore.toString();
    $.capGarnetLabelVal.text = capGarnet.toString();
    $.capMetalLabelVal.text = capMetal.toString();
    $.capWoodLabelVal.text = capWood.toString();
    $.capMudLabelVal.text = capMud.toString();
    $.capOatLabelVal.text = capOat.toString();
    $.capOatConsumption.text = capOatConsumption.toString();
    $.proMetalLabelVal.text = proMetal.toString();
    $.proMudLabelVal.text = proMud.toString();
    $.proWoodLabelVal.text = proWood.toString();
    $.proOatLabelVal.text = proOat.toString();
    var timerValue = 5e3, bySeconds = 60, totalOatPro = bv1 + bv5 + bv9 + bv10 + bv17 + bv18, oatPower = 300 * totalOatPro, oatPowerPerInterval = oatPower / bySeconds, totalWoodPro = bv2 + bv7 + bv12 + bv16, woodPower = 300 * totalWoodPro, woodPowerPerInterval = woodPower / bySeconds, totalMudPro = bv6 + bv8 + bv13 + bv14, mudPower = 300 * totalMudPro, mudPowerPerInterval = mudPower / bySeconds, totalMetalPro = bv3 + bv4 + bv11 + bv15, metalPower = 300 * totalMetalPro, metalPowerPerInterval = metalPower / bySeconds;
    setInterval(capacitorIncrement, timerValue);
    __defers["$.__views.info!click!infoFunction"] && $.__views.info.addEventListener("click", infoFunction);
    __defers["$.__views.threewariors!click!infoFunction"] && $.__views.threewariors.addEventListener("click", infoFunction);
    __defers["$.__views.b1!click!bClicked"] && $.__views.b1.addEventListener("click", bClicked);
    __defers["$.__views.b2!click!bClicked"] && $.__views.b2.addEventListener("click", bClicked);
    __defers["$.__views.b3!click!bClicked"] && $.__views.b3.addEventListener("click", bClicked);
    __defers["$.__views.b4!click!bClicked"] && $.__views.b4.addEventListener("click", bClicked);
    __defers["$.__views.b5!click!bClicked"] && $.__views.b5.addEventListener("click", bClicked);
    __defers["$.__views.b6!click!bClicked"] && $.__views.b6.addEventListener("click", bClicked);
    __defers["$.__views.b7!click!bClicked"] && $.__views.b7.addEventListener("click", bClicked);
    __defers["$.__views.b8!click!bClicked"] && $.__views.b8.addEventListener("click", bClicked);
    __defers["$.__views.b9!click!bClicked"] && $.__views.b9.addEventListener("click", bClicked);
    __defers["$.__views.b10!click!bClicked"] && $.__views.b10.addEventListener("click", bClicked);
    __defers["$.__views.b11!click!bClicked"] && $.__views.b11.addEventListener("click", bClicked);
    __defers["$.__views.b12!click!bClicked"] && $.__views.b12.addEventListener("click", bClicked);
    __defers["$.__views.b13!click!bClicked"] && $.__views.b13.addEventListener("click", bClicked);
    __defers["$.__views.b14!click!bClicked"] && $.__views.b14.addEventListener("click", bClicked);
    __defers["$.__views.b15!click!bClicked"] && $.__views.b15.addEventListener("click", bClicked);
    __defers["$.__views.b16!click!bClicked"] && $.__views.b16.addEventListener("click", bClicked);
    __defers["$.__views.b17!click!bClicked"] && $.__views.b17.addEventListener("click", bClicked);
    __defers["$.__views.b18!click!bClicked"] && $.__views.b18.addEventListener("click", bClicked);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;